Skip to main content
GET
get session analytics

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Session ID

Query Parameters

includeMessages
boolean
default:false

When true, include the user/assistant message text on each turn. Only honoured when transcripts were enabled for the session and the session is not zero-data-retention; timing metrics are always returned.

Response

Successfully retrieved session analytics

sessionId
string<uuid>
startTime
string<date-time>
endTime
string<date-time> | null
durationSeconds
number | null
sessionType
enum<string> | null
Available options:
turnkey,
custom_llm_server,
custom_llm_client,
livekit,
elevenlabs_agent,
null
exitStatus
string | null
clientLabel
string | null
clientMetadata
object | null
personaId
string<uuid> | null
apiKeyId
string<uuid> | null
config
object

Snapshot of the configuration the session ran with.

summary
object
turns
object[]
Last modified on July 24, 2026